org.jbpm.services.task.impl

## Class TaskQueryBuilderImpl

- java.lang.Object
- - org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskQueryBuilder>
  - - org.jbpm.services.task.impl.TaskQueryBuilderImpl

- All Implemented Interfaces:
    org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskQueryBuilder>, org.kie.internal.task.query.TaskQueryBuilder

      public class TaskQueryBuilderImpl
      extends org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskQueryBuilder>
      implements org.kie.internal.task.query.TaskQueryBuilder

  Main Implementation of the `TaskQueryBuilder`. See the `TaskQueryBuilder` interface for more information. This implementation defaults to an ascending orderby of "Id". It's important to have a default ordering of results so that optional (`QueryContext`) offset and count parameters then will actually be useful. Without an ordering, subsequent queries can retrieve different randomly ordered lists.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.kie.internal.task.query.TaskQueryBuilder

      `org.kie.internal.task.query.TaskQueryBuilder.OrderBy`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `queryData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskQueryBuilderImpl(String userId, org.drools.core.command.CommandService taskCmdService)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.kie.internal.query.ParametrizedQuery<org.kie.api.task.model.TaskSummary>` | `buildQuery()`
    `org.kie.internal.task.query.TaskQueryBuilder` | `businessAdmin(String... businessAdminId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `clear()`
    `org.kie.internal.task.query.TaskQueryBuilder` | `deploymentId(String... deploymentId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `initiator(String... createdById)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `language(String language)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `orderBy(org.kie.internal.task.query.TaskQueryBuilder.OrderBy orderBy)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `potentialOwner(String... potentialOwnerId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `processInstanceId(long... processInstanceId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `stakeHolder(String... stakeHolderId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `status(org.kie.api.task.model.Status... status)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `taskId(long... taskId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `taskOwner(String... taskOwnerId)`
    `org.kie.internal.task.query.TaskQueryBuilder` | `workItemId(long... workItemId)`

    - ### Methods inherited from class org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl

      `addIntParameter, addLongParameter, addObjectParameter, addRangeParameter, ascending, descending, equals, getQueryData, intersect, like, maxResults, offset, union`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `ascending, descending, equals, intersect, like, maxResults, offset, union`

- - ### Constructor Detail

    - #### TaskQueryBuilderImpl

          public TaskQueryBuilderImpl(String userId,
                              org.drools.core.command.CommandService taskCmdService)

  - ### Method Detail

    - #### workItemId

          public org.kie.internal.task.query.TaskQueryBuilder workItemId(long... workItemId)

      Specified by:
        `workItemId` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### taskId

          public org.kie.internal.task.query.TaskQueryBuilder taskId(long... taskId)

      Specified by:
        `taskId` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### processInstanceId

          public org.kie.internal.task.query.TaskQueryBuilder processInstanceId(long... processInstanceId)

      Specified by:
        `processInstanceId` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### initiator

          public org.kie.internal.task.query.TaskQueryBuilder initiator(String... createdById)

      Specified by:
        `initiator` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### stakeHolder

          public org.kie.internal.task.query.TaskQueryBuilder stakeHolder(String... stakeHolderId)

      Specified by:
        `stakeHolder` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### potentialOwner

          public org.kie.internal.task.query.TaskQueryBuilder potentialOwner(String... potentialOwnerId)

      Specified by:
        `potentialOwner` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### taskOwner

          public org.kie.internal.task.query.TaskQueryBuilder taskOwner(String... taskOwnerId)

      Specified by:
        `taskOwner` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### businessAdmin

          public org.kie.internal.task.query.TaskQueryBuilder businessAdmin(String... businessAdminId)

      Specified by:
        `businessAdmin` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### status

          public org.kie.internal.task.query.TaskQueryBuilder status(org.kie.api.task.model.Status... status)

      Specified by:
        `status` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### deploymentId

          public org.kie.internal.task.query.TaskQueryBuilder deploymentId(String... deploymentId)

      Specified by:
        `deploymentId` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### language

          public org.kie.internal.task.query.TaskQueryBuilder language(String language)

      Specified by:
        `language` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### orderBy

          public org.kie.internal.task.query.TaskQueryBuilder orderBy(org.kie.internal.task.query.TaskQueryBuilder.OrderBy orderBy)

      Specified by:
        `orderBy` in interface `org.kie.internal.task.query.TaskQueryBuilder`

    - #### clear

          public org.kie.internal.task.query.TaskQueryBuilder clear()

      Specified by:
        `clear` in interface `org.kie.internal.query.ParametrizedQueryBuilder<org.kie.internal.task.query.TaskQueryBuilder>`
      Overrides:
        `clear` in class `org.jbpm.query.jpa.builder.impl.AbstractQueryBuilderImpl<org.kie.internal.task.query.TaskQueryBuilder>`

    - #### buildQuery

          public org.kie.internal.query.ParametrizedQuery<org.kie.api.task.model.TaskSummary> buildQuery()

      Specified by:
        `buildQuery` in interface `org.kie.internal.task.query.TaskQueryBuilder`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.